Jump to content

Photo

Required mods.


  • Please log in to reply
5 replies to this topic

#1
Callemity

Callemity

    Stranger

  • Supporter
  • Pip
  • 1 posts
Hello, first i need to apologize for my English(its not my native language). Im Just curious if i need to download all of the mods under "required mods" if for example i want mod A that require mod B and C, but B and C require D and E and So on.

#2
HeyYou

HeyYou

    Resident poster

  • Supporter
  • PipPipPipPipPip
  • 7,838 posts

Yes. You need all requirements. If you are missing one, your game will crash at startup.... or, if you get really lucky, it will start, but, will crash randomly while playing. Both are very frustrating propositions. :D



#3
DrakeTheDragon

DrakeTheDragon

    Resident poster

  • Staff
  • PipPipPipPipPip
  • 7,642 posts

But look out for the author's instructions also by all means. Sometimes a mod has a whole list of requirements linked to, while only 1 of them is needed at a time, and the rest is mutually exclusive. It's rare and not very likely, but it's far from inexistent.

 

Oh, and if you're new to the site, heed note there's 2 different lists under the requirements pulldown: Mods actually required by the mod, and other mods requiring the mod themselves to work. They have titles above them for distinction, but especially when you're quickly scrolling across, you might easily end up in the list of other mods requiring the mod but still think they'd all be requirements themselves.



#4
M48A5

M48A5

    Resident poster

  • Members
  • PipPipPipPipPip
  • 7,712 posts

I don't think you understand the listing under "Requirements".   The first list is what the mod needs to function properly.  These files must be present or the game will crash.

 

The is a separation and then a list of mods that require the mod to work. 

 

For example, look at this mod:  https://www.nexusmod...egas/mods/53635  Under requirements, you will see "NVSE".  You have to have NVSE installed in order for NVAC to work.

 

Then you will see a list of mods that require NVAC in order for them to work.  That means that any mod on that list needs NVAC installed in order for them to work.



#5
Callemity

Callemity

    Stranger

  • Supporter
  • Pip
  • 1 posts
Thank you guys for Quick replies! This is exactly what i needed to know. It seemed to me that if i want some visual mods then i need to get endless number of different mods that also need other mods in order to get same result. Now i know what i need to look for in the future. Thank again!

#6
Pagafyr

Pagafyr

    Adventurer, Gamer, Want to be a Member of the Explorers Guild.

  • Premium Member
  • 2,653 posts

In other words, if you want to use the mods listed in the Required list of mods you can.  If you only want to use the mod you are downloading that the list of other mods are in it's Required list, you don't need to download any of the mods in the Required list.

 

The mods in the Required list only give you mods that require the mod you've downloaded.

Otherwise they are a bunch of extra mods that require the mod you downloaded, i.e., if you're going to use any of the mods in the Required list.

 

You don't need any of them, just the mod you're downloading.

 

They're fans of the mod that require the mod you're downloading.  The fans made their mod so it uses the mod you desired to download; before you looked at all the fans mods listed in the Required list.

 

They fan's mods all require the mod you downloaded to use so their mods will work.

 

The mod you downloaded doesn't require any of them.






Page loaded in: 8.502 seconds